# Interface EphemeralKeyInfo

interface EphemeralKeyInfo {
name?: string;
size: number;
type: string;
}

- Defined in node_modules/@types/node/tls.d.ts:154

#####
Index

### Properties

name?
size
type

## Properties

### `Optional` name

name?: string

The name property is available only when type is 'ECDH'.

- Defined in node_modules/@types/node/tls.d.ts:162

### size

size: number

The size of parameter of an ephemeral key exchange.

- Defined in node_modules/@types/node/tls.d.ts:166

### type

type: string

The supported types are 'DH' and 'ECDH'.

- Defined in node_modules/@types/node/tls.d.ts:158